#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define 	module	keyczar
Summary:	Toolkit for safe and simple cryptography
Name:		python-%{module}
Version:	0.71c
Release:	3
License:	Apache v2.0
Group:		Development/Languages
Source0:	http://keyczar.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	57154b1e8ad3f59e2c8296d5d5a516eb
URL:		http://www.keyczar.org/
BuildRequires:	python-Crypto
BuildRequires:	python-devel
BuildRequires:	python-pyasn1
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
Requires:	python-Crypto
Requires:	python-pyasn1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Keyczar is an open source cryptographic toolkit designed to make it
easier and safer for developers to use cryptography in their
applications. Keyczar supports authentication and encryption with both
symmetric and asymmetric keys.

%prep
%setup -q
rm -r python_keyczar.egg-info

%build
%py_build

%if %{with tests}
cd tests/keyczar_tests
PYTHONPATH=$PYTHONPATH:../../src/ ./alltests.py
%endif

%install
rm -rf $RPM_BUILD_ROOT
%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README LICENSE doc/pycrypt.pdf
%{py_sitescriptdir}/keyczar
%{py_sitescriptdir}/python_keyczar-*.egg-info
%changelog
* Tue May 03 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-keyczar.git;a=log;h=master

* Tue May 03 2016 Jan Rękorajski <baggins@pld-linux.org> f47b333
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 471219d
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 580dffe
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f478103
- automatic change: use py_build/py_install macros

* Wed Sep 18 2013 Elan Ruusamäe <glen@delfi.ee> 297ff29
- new, version 0.71c

